Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGX5F7.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGX5F7.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGX5F7.m	(revision 636)
@@ -1,5 +1,5 @@
-DGX5F7 ; ;09/05/07
+DGX5F7 ; ;12/27/07
  ;;
-1 N X,X1,X2 S DIXR=447 D X1(U) K X2 M X2=X D X1("F") K X1 M X1=X
+1 N X,X1,X2 S DIXR=462 D X1(U) K X2 M X2=X D X1("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"" D
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD1")
@@ -12,5 +12,5 @@
  S X=$G(X(1))
  Q
-2 N X,X1,X2 S DIXR=448 D X2(U) K X2 M X2=X D X2("F") K X1 M X1=X
+2 N X,X1,X2 S DIXR=463 D X2(U) K X2 M X2=X D X2("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"" D
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD2")
@@ -23,5 +23,5 @@
  S X=$G(X(1))
  Q
-3 N X,X1,X2 S DIXR=449 D X3(U) K X2 M X2=X D X3("F") K X1 M X1=X
+3 N X,X1,X2 S DIXR=464 D X3(U) K X2 M X2=X D X3("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"" D
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD3")
@@ -34,5 +34,5 @@
  S X=$G(X(1))
  Q
-4 N X,X1,X2 S DIXR=450 D X4(U) K X2 M X2=X D X4("F") K X1 M X1=X
+4 N X,X1,X2 S DIXR=465 D X4(U) K X2 M X2=X D X4("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"" D
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD4")
@@ -45,5 +45,5 @@
  S X=$G(X(1))
  Q
-5 N X,X1,X2 S DIXR=451 D X5(U) K X2 M X2=X D X5("F") K X1 M X1=X
+5 N X,X1,X2 S DIXR=466 D X5(U) K X2 M X2=X D X5("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"" D
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD5")
@@ -56,5 +56,5 @@
  S X=$G(X(1))
  Q
-6 N X,X1,X2 S DIXR=452 D X6(U) K X2 M X2=X D X6("F") K X1 M X1=X
+6 N X,X1,X2 S DIXR=467 D X6(U) K X2 M X2=X D X6("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"" D
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD6")
@@ -67,5 +67,5 @@
  S X=$G(X(1))
  Q
-7 N X,X1,X2 S DIXR=453 D X7(U) K X2 M X2=X D X7("F") K X1 M X1=X
+7 N X,X1,X2 S DIXR=468 D X7(U) K X2 M X2=X D X7("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"" D
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD7")
@@ -78,5 +78,5 @@
  S X=$G(X(1))
  Q
-8 N X,X1,X2 S DIXR=454 D X8(U) K X2 M X2=X D X8("F") K X1 M X1=X
+8 N X,X1,X2 S DIXR=469 D X8(U) K X2 M X2=X D X8("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"" D
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD8")
@@ -89,5 +89,5 @@
  S X=$G(X(1))
  Q
-9 N X,X1,X2 S DIXR=455 D X9(U) K X2 M X2=X D X9("F") K X1 M X1=X
+9 N X,X1,X2 S DIXR=470 D X9(U) K X2 M X2=X D X9("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"" D
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD9")
@@ -100,5 +100,5 @@
  S X=$G(X(1))
  Q
-10 N X,X1,X2 S DIXR=456 D X10(U) K X2 M X2=X D X10("F") K X1 M X1=X
+10 N X,X1,X2 S DIXR=471 D X10(U) K X2 M X2=X D X10("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"" D
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD10")
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DPTLK.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DPTLK.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DPTLK.m	(revision 636)
@@ -1,4 +1,12 @@
-DPTLK ;ALB/RMO,RTK - MAS Patient Look-up Main Routine ; 3/22/05 4:19pm
- ;;5.3;Registration;**32,72,93,73,136,157,197,232,265,277,223,327,244,513,528,541,576,600,485,633,629,647**;Aug 13, 1993
+DPTLK ;ALB/RMO,RTK - MAS Patient Look-up Main Routine ;1/27/07  13:12
+ ;;5.3;Registration;**32,72,93,73,136,157,197,232,265,277,223,327,244,513,528,541,576,600,485,633,629,647,634**;Aug 13, 1993;Build 28
+ ; Modified from FOIA VISTA,
+ ; Copyright (C) 2007 WorldVistA
+ ;
+ ; This program is free software; you can redistribute it and/or modify
+ ; it under the terms of the GNU General Public License as published by
+ ; the Free Software Foundation; either version 2 of the License, or
+ ; (at your option) any later version.
+ ;
  ;
  ; mods made for magstripe read 12/96 - JFP
@@ -8,4 +16,6 @@
  ;
 EN ; -- Entry point
+ ;Following line so VOE will use alternate lookup routine, DAOU,VA/CJS,WV/TOAD
+ I $G(DUZ("AG"))'="V" D ^AUPNLK Q
  N DIE,DR
  K DPTX,DPTDFN,DPTSAVX I $D(DIC(0)) G QK:DIC(0)["I"!(DIC(0)'["A"&('$D(X)))
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADATE.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADATE.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADATE.m	(revision 636)
@@ -1,8 +1,8 @@
 VADATE ;ALB/MLI - GENERIC DATE ROUTINE ; 1 DEC 88 @1000
- ;;5.3;Registration,;**749**;Aug 13, 1993;Build 10
+ ;;5.3;Registration;;Aug 13, 1993
  ;
  I $D(VADAT("F")),$S(VADAT("F")<1:1,VADAT("F")>2:1,1:0) K VADAT("F")
- I '$D(VADAT("W")) S VANOW=$$NOW^XLFDT
- S VA=$S('$D(VADAT("W")):VANOW,1:VADAT("W")),(VA,VADATE("I"))=$S($D(VADAT("S")):VA,'$D(VADAT("T")):$E(VA,1,12),1:$P(VA,".",1))
+ I '$D(VADAT("W")) D NOW^%DTC
+ S VA=$S('$D(VADAT("W")):%,1:VADAT("W")),(VA,VADATE("I"))=$S($D(VADAT("S")):VA,'$D(VADAT("T")):$E(VA,1,12),1:$P(VA,".",1))
  S:'$D(VADAT("H")) (VA(1),VA(2),VA(3))=1 I $D(VADAT("H")) F I=1:1:3 S VA(I)=$S(VADAT("H")[I:1,1:0)
  S VAM=$S('$E(VA,4,5):"",'VA(2):"",$S('$D(VADAT("F")):1,VADAT("F")=2:1,1:0):$P("JAN^FEB^MAR^APR^MAY^JUN^JUL^AUG^SEP^OCT^NOV^DEC","^",+$E(VA,4,5)),1:$E(VA,4,5)),VAY=$S(VA(3):(1700+$E(VA,1,3)),1:""),VAD=$S(VA(1)&$E(VA,6,7):$E(VA,6,7),1:"")
@@ -13,4 +13,4 @@
  S VADATE("E")=VADATE("E")_$S(VA(3):$E(VAY,3,4),1:"")_$S($D(VAT):"@"_VAT,1:"")
 QUIT I $D(VADAT("J")),VADAT("J")?.N F I=$L(VADATE("E"))+1:1:VADAT("J") S VADATE("E")=" "_VADATE("E")
- K %DT,VA,VAD,VADEL,VAM,VAT,VAX,VAY,VANOW Q
+ K %DT,VA,VAD,VADEL,VAM,VAT,VAX,VAY Q
 KVAR K VADAT,VADATE Q
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADPT1.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADPT1.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADPT1.m	(revision 636)
@@ -1,4 +1,20 @@
-VADPT1 ;ALB/MRL/MJK - PATIENT VARIABLES ; 08 DEC 1988 ; 11/9/04 6:17pm
- ;;5.3;Registration;**415,489,516,614**;Aug 13, 1993
+VADPT1 ;ALB/MRL/MJK - PATIENT VARIABLES ;1/27/07  15:00
+ ;;5.3;Registration;**415,489,516,614,634**;Aug 13, 1993;Build 28
+ ; Modified from FOIA VISTA,
+ ; Copyright (C) 2007 WorldVistA
+ ;
+ ; This program is free software; you can redistribute it and/or modify
+ ; it under the terms of the GNU General Public License as published by
+ ; the Free Software Foundation; either version 2 of the License, or
+ ; (at your option) any later version.
+ ;
+ ; This program is distributed in the hope that it will be useful,
+ ; but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ; GNU General Public License for more details.
+ ;
+ ; You should have received a copy of the GNU General Public License
+ ; along with this program; if not, write to the Free Software
+ ; Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 1 ;Demographic [DEM]
  N W,Z,NODE
@@ -15,4 +31,16 @@
  ; -- age [4 - AG]
  S W=$S('$D(^DPT(DFN,.35)):"",'^(.35):"",1:+^(.35)) S Y=$S('W:DT,1:W) S:Z]"" @VAV@($P(VAS,"^",4))=$E(Y,1,3)-$E(Z,1,3)-($E(Y,4,7)<$E(Z,4,7))
+ ;
+ ; Added for VOE to support pediatrics
+ ;
+ I @VAV@($P(VAS,"^",4))<2 D  ;IHS/ANMC/CLS 01/20/2005
+ .N X,X1,X2,X3
+ .S X1=$S('$G(^DPT(DFN,.35)):DT,1:+^(.35))
+ .S X2=$P(VAX,"^",3) Q:'X1!('X2)
+ .D ^%DTC S X3=X\365.25,X=$S(X3>2:X3,X<31:X_" DYS",1:X\30_" MOS")
+ .S @VAV@($P(VAS,"^",4))=X Q
+ ;
+ ; End VOE addition
+ ;
  ;
  ; -- expired date [6 - EX]
@@ -52,4 +80,14 @@
  S @VAV@($P(VAS,"^",12))=Y-1
  Q
+ ;
+ ; Added for VOE to support pediatrics
+ ;
+PAGE ; -- IHS printable age  ;IHS/ITSC/CLS 01/14/2005
+ N X,X1,X2,Y,AUX
+ S X1=$S('$D(^DPT(DFN,.35)):DT,1:+^(.35))
+ S X2=$P(VAX,"^",3) D:X2 ^%DTC:X1 S AUX=X\365.25,X=$S(AUX>2:AUX_" YRS",X<31:X_" DYS",1:X\30_" MOS")
+ S @VAV@($P(VAS,"^",4))=X Q
+ ;
+ ; End addition for VOE & IHS
  ;
 2 ;Other Patient Variables [OPD]
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADPT2.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADPT2.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADPT2.m	(revision 636)
@@ -1,6 +1,6 @@
 VADPT2 ;ALB/MJK - ESTABLISH PATIENT VARIABLES ; 3/23/88  9:13 PM ; [10/20/95 4:02pm]
- ;;5.3;Registration;**69,749**;Aug 13, 1993;Build 10
+ ;;5.3;Registration;**69**;Aug 13, 1993
 5 ; -- INP call
- S (VAWD,VATS,VADX,VAPP,VAAP,VARM)="" S VANOW=$$NOW^XLFDT K VAMV,VAMV0
+ S (VAWD,VATS,VADX,VAPP,VAAP,VARM)="" D NOW^%DTC S VANOW=% K VAMV,VAMV0
  I '$D(VAINDT) N VAINDT S VAINDT=VANOW
  S VATD=9999999.999999-VAINDT
@@ -54,5 +54,5 @@
  ;
 ADM ; -- send back adm ifn for dfn on vaindt or now
- S VADT=$S($D(VAINDT):VAINDT,1:"") I 'VADT  S VADT=$$NOW^XLFDT
+ S VADT=$S($D(VAINDT):VAINDT,1:"") I 'VADT D NOW^%DTC S VADT=%
  S VAID=9999999.999999-VADT,VADMVT=""
  F  S VAID=$O(^DGPM("ATID1",DFN,VAID)) Q:'VAID  S VAMV=+$O(^DGPM("ATID1",DFN,VAID,0)) I $D(^DGPM(VAMV,0)) S VAMV0=^(0),VAMV1=$S($D(^DGPM(+$P(VAMV0,"^",17),0)):^(0),1:9999999.999999) D  Q:VADMVT!($P(VAMV0,U,18)'=40)
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADPT3.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADPT3.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADPT3.m	(revision 636)
@@ -1,7 +1,7 @@
 VADPT3 ;ALB/MRL - PATIENT VARIABLES [IN5]; 12 DEC 1988 ; 7/22/03 5:00pm
- ;;5.3;Registration;**532,749**;Aug 13, 1993;Build 10
+ ;;5.3;Registration;**532**;Aug 13, 1993
  ;Inpatient variables [Version 5.0 and above]
 6 ;
- S (NOW,VAX("DAT"))=$$NOW^XLFDT,NOWI=9999999.999999-NOW
+ D NOW^%DTC S (NOW,VAX("DAT"))=%,NOWI=9999999.999999-%
  ;
  I $D(VAIP("E")),$D(^DGPM(+VAIP("E"),0)) S VAX("DT")=+^(0),E=+VAIP("E") G GO ;Specific Entry
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADPT5.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADPT5.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADPT5.m	(revision 636)
@@ -1,4 +1,4 @@
 VADPT5 ;ALB/MRL/MJK - PATIENT VARIABLES [REG]; 14 DEC 1988 ; 8/6/04 7:42am
- ;;5.3;Registration;**54,63,242,584,749**;Aug 13, 1993;Build 10
+ ;;5.3;Registration;**54,63,242,584**;Aug 13, 1993
 10 ;Registration/Disposition [REG]
  N VARPSV
@@ -27,7 +27,7 @@
  ;
 12 ;Appointments [SDA]
- N VASDSV,SDCNT,SDARRAY,VANOW
- S VANOW=$$NOW^XLFDT
- S VASDSV("F")=$S($G(VASD("F"))?7N.E:VASD("F"),1:VANOW)
+ N VASDSV,SDCNT,SDARRAY
+ D NOW^%DTC
+ S VASDSV("F")=$S($G(VASD("F"))?7N.E:VASD("F"),1:%)
  S VASDSV("T")=$S(+$G(VASD("T")):+VASD("T"),1:9999999) I '$P(VASDSV("T"),".",2) S $P(VASDSV("T"),".",2)=999999
  S VASDSV("W")=$S('$G(VASD("W")):12,1:VASD("W"))
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADPT61.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADPT61.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VADPT61.m	(revision 636)
@@ -1,4 +1,4 @@
 VADPT61 ;ALB/MJK - Patient ID Utilities (cont.); 12 AUG 89 @1200
- ;;5.3;Registration,;**749**;Aug 13, 1993;Build 10
+ ;;5.3;Registration;;Aug 13, 1993
  ;
 1 ;;ID Format Enter/Edit
@@ -26,9 +26,9 @@
  ;
 BEG ;
- S VASTART=$$NOW^XLFDT
+ D NOW^%DTC S VASTART=%
  Q
  ;
 END ;
- S VAEND=$$NOW^XLFDT,L=0
+ D NOW^%DTC S VAEND=%,L=0
  K XMY
  S XMSUB=$P($T(OPTS+VAOPT),";",4),XMDUZ=.5,XMTEXT="VATEXT(",XMY(DUZ)=""
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFCPID.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFCPID.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFCPID.m	(revision 636)
@@ -1,4 +1,4 @@
 VAFCPID ;ALB/MLI,PKE-Create generic PID segment ; 21 Nov 2002  3:13 PM
- ;;5.3;Registration;**91,149,190,415,508,749**;Aug 13, 1993;Build 10
+ ;;5.3;Registration;**91,149,190,415,508**;Aug 13, 1993
  ;
  ; This routine returns the HL7 defined PID segment with its
@@ -21,5 +21,5 @@
  ;          variables may be altered.
  ;
- N I,VAFY,VA,VADM,X,X1,Y,OUTPUT,DGNAME,DGMMN,VAPA ; calls VADPT...have to NEW
+ N I,VAFY,VA,VADM,X,X1,Y,OUTPUT,DGNAME,VAPA ; calls VADPT...have to NEW
  S VAFSTR=$G(VAFSTR) ; if not defined, just return required fields
  S DFN=$G(DFN)
@@ -41,7 +41,5 @@
  S X=$$HLNAME^XLFNAME(.DGNAME,"",$E(HLECH)),VAFY(5)=$S(X]"":X,1:HLQ)
  ;Mother's maiden name (#6)
- I VAFSTR[",6," D
- .S DGMMN("FILE")=2,DGMMN("IENS")=DFN,DGMMN("FIELD")=.2403
- .S X=$$HLNAME^XLFNAME(.DGMMN,"",$E(HLECH)),VAFY(6)=$S(X]"":X,1:HLQ)
+ I VAFSTR[",6," S X=$P($G(^DPT(DFN,.24)),"^",3),VAFY(6)=$S(X]"":X,1:HLQ)
  ;Date of birth (#7)
  I VAFSTR[",7," S VAFY(7)=$$HLDATE^HLFNC(+VADM(3))
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFCTF.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFCTF.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFCTF.m	(revision 636)
@@ -1,4 +1,4 @@
 VAFCTF ;BIR/DLR-Utility for capturing patient's Date Last Treated and Event Reason ;9/9/2002
- ;;5.3;Registration;**428,713,766**;Aug 13, 1993;Build 3
+ ;;5.3;Registration;**428,713**;Aug 13, 1993
  Q  ; quit if called from the top
  ;
@@ -71,8 +71,4 @@
  . Q
  K VAFCDATA,VAFCPURG,VAFCX,VAFCX1,VAFCX2
- ;DG*5.3*766
- I $E(VAFCX3,9,10)>23 S VAFCX3=$E(VAFCX3,1,8)_"23"_$E(VAFCX3,11,14)
- I $E(VAFCX3,11)>5 S VAFCX3=$E(VAFCX3,1,10)_"59"_$E(VAFCX3,13,14)
- ;DG*5.3*713
  I $E(VAFCX3,13)>5 S VAFCX3=$E(VAFCX3,1,12)_"59"
  Q VAFCX3_"^5" ; X is either null or the date/time of the check out
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFHLPID.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFHLPID.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFHLPID.m	(revision 636)
@@ -1,4 +1,4 @@
 VAFHLPID ;ALB/MLI/ESD - Create generic PID segment ; 21 Nov 2002  3:13 PM
- ;;5.3;Registration;**68,94,415,508,749**;Aug 13, 1993;Build 10
+ ;;5.3;Registration;**68,94,415,508**;Aug 13, 1993
  ;
  ; This routine returns the HL7 defined PID segment with its
@@ -26,5 +26,5 @@
  ;          variables may be altered.
  ;
- N I,VAFY,VA,VADM,X,X1,Y,OUTPUT,DGNAME,DGMMN,VAPA ; calls VADPT...have to NEW
+ N I,VAFY,VA,VADM,X,X1,Y,OUTPUT,DGNAME,VAPA ; calls VADPT...have to NEW
  S VAFSTR=$G(VAFSTR) ; if not defined, just return required fields
  S DFN=$G(DFN)
@@ -50,7 +50,5 @@
  S X=$$HLNAME^XLFNAME(.DGNAME,"",$E(HLECH)),VAFY(5)=$S(X]"":X,1:HLQ)
  ;Mother's maiden name (#6)
- I VAFSTR[",6," D
- .S DGMMN("FILE")=2,DGMMN("IENS")=DFN,DGMMN("FIELD")=.2403
- .S X=$$HLNAME^XLFNAME(.DGMMN,"",$E(HLECH)),VAFY(6)=$S(X]"":X,1:HLQ)
+ I VAFSTR[",6," S X=$P($G(^DPT(DFN,.24)),"^",3),VAFY(6)=$S(X]"":X,1:HLQ)
  ;Date of birth (#7)
  I VAFSTR[",7," S VAFY(7)=$$HLDATE^HLFNC(+VADM(3))
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFHLPR1.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFHLPR1.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFHLPR1.m	(revision 636)
@@ -1,4 +1,4 @@
 VAFHLPR1 ;ALB/ESD - Create generic HL7 PR1 Segment ;4/4/00
- ;;5.3;Registration;**94,123,160,215,243,606**;Aug 13, 1993
+ ;;5.3;Registration;**94,123,160,215,243,606**;Aug 13, 1993;Build 1
  ;06/22/99 ACS - Added CPT modifier API calls and added CPT modifier to the
  ;PR1 segment (sequence 16)
Index: FOIAVistA/tag/r/RPC_BROKER-XWB/XWBDLOG.m
===================================================================
--- FOIAVistA/trunk/r/RPC_BROKER-XWB/XWBDLOG.m	(revision 631)
+++ FOIAVistA/tag/r/RPC_BROKER-XWB/XWBDLOG.m	(revision 636)
@@ -1,3 +1,3 @@
-XWBDLOG ;ISF/RWF - Debug Logging for Broker ;12/08/2004  08:54
+XWBDLOG ;ISF/RWF - Debug Logging for Broker ;08/04/2004  13:56
  ;;1.1;RPC BROKER;**35**;Mar 28, 1997
  Q
@@ -5,5 +5,4 @@
  ;Setup the log, Clear the log location.
 LOGSTART(RTN) ;Clear the debug log
- Q:'$G(XWBDEBUG)
  K ^XTMP("XWBLOG"_$J)
  S ^XTMP("XWBLOG"_$J,0)=$$HTFM^XLFDT($$HADD^XLFDT($H,7))_"^"_$$DT^XLFDT
Index: FOIAVistA/tag/r/RPC_BROKER-XWB/XWBRW.m
===================================================================
--- FOIAVistA/trunk/r/RPC_BROKER-XWB/XWBRW.m	(revision 631)
+++ FOIAVistA/tag/r/RPC_BROKER-XWB/XWBRW.m	(revision 636)
@@ -1,4 +1,21 @@
-XWBRW ;ISF/RWF - Read/Write for Broker TCP ;08/03/2004  15:09
- ;;1.1;RPC BROKER;**35**;Mar 28, 1997
+XWBRW ;ISF/RWF - Read/Write for Broker TCP ;8/16/07  09:33
+ ;;1.1;RPC BROKER;**35,49**;Mar 28, 1997;Build 4;WorldVistA 30-Jan-08
+ ;Modified from FOIA VISTA,
+ ;Copyright 2008 WorldVistA.  Licensed under the terms of the GNU
+ ;General Public License See attached copy of the License.
+ ;
+ ;This program is free software; you can redistribute it and/or modify
+ ;it under the terms of the GNU General Public License as published by
+ ;the Free Software Foundation; either version 2 of the License, or
+ ;(at your option) any later version.
+ ;
+ ;This program is distributed in the hope that it will be useful,
+ ;but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ;GNU General Public License for more details.
+ ;
+ ;You should have received a copy of the GNU General Public License along
+ ;with this program; if not, write to the Free Software Foundation, Inc.,
+ ;51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  Q
  ;
@@ -15,5 +32,5 @@
  . S S=L-$L(R),R=R_$E(XWBRBUF,1,S),XWBRBUF=$E(XWBRBUF,S+1,999999)
  . I ($L(R)=L)!(R[$C(4))!(C>TO) S DONE=1 Q
- . R XWBRBUF:2 S:'$T C=C+1 S:$L(XWBRBUF) C=0
+ . R XWBRBUF#S:2 S:'$T C=C+1 S:$L(XWBRBUF) C=0 I +$DEVICE S DONE=1
  . I $G(XWBDEBUG)>2,$L(XWBRBUF) D LOG^XWBDLOG("rd: "_$E(XWBRBUF,1,252))
  . Q
Index: FOIAVistA/tag/r/RPC_BROKER-XWB/XWBTCPL.m
===================================================================
--- FOIAVistA/trunk/r/RPC_BROKER-XWB/XWBTCPL.m	(revision 631)
+++ FOIAVistA/tag/r/RPC_BROKER-XWB/XWBTCPL.m	(revision 636)
@@ -1,3 +1,3 @@
-XWBTCPL ;SLC/KCM - Listener for TCP connects ;12/09/2004  07:33
+XWBTCPL ;SLC/KCM - Listener for TCP connects ;08/25/2004  12:08
  ;;1.1;RPC BROKER;**1,7,9,15,16,35**;Mar 28, 1997
  ;ISC-SF/EG - DHCP Broker
@@ -136,5 +136,4 @@
  . D UPDTREC(XWBTSKT,6) ;updt RPC BROKER SITE PARAMETER record as STOPPED
  . Q
- S XWBDEBUG=$G(XWBDEBUG)
  ;Set new trap
  S $ETRAP="Q:($ESTACK&'$QUIT)  Q:$ESTACK -9 S $ECODE="""" G RESTART^XWBTCPL"
Index: FOIAVistA/tag/r/RPC_BROKER-XWB/XWBTCPM.m
===================================================================
--- FOIAVistA/trunk/r/RPC_BROKER-XWB/XWBTCPM.m	(revision 631)
+++ FOIAVistA/tag/r/RPC_BROKER-XWB/XWBTCPM.m	(revision 636)
@@ -1,4 +1,4 @@
-XWBTCPM ;ISF/RWF - BROKER TCP/IP PROCESS HANDLER ;01/04/2006  62562.56228
- ;;1.1;RPC BROKER;**35,43**;Mar 28, 1997
+XWBTCPM ;ISF/RWF - BROKER TCP/IP PROCESS HANDLER ;8/29/07  22:11
+ ;;1.1;RPC BROKER;**35,43,49**;Mar 28, 1997;Build 6
  ;Based on: XWBTCPC & XWBTCPL, Modified by ISF/RWF
  ;Changed to be started by UCX or %ZISTCPS
@@ -38,5 +38,5 @@
  ;GTM specific code
  S @("$ZINTERRUPT=""I $$JOBEXAM^ZU($ZPOSITION)""")
- S XWBTDEV=$P X "U XWBTDEV:(nowrap:nodelimiter)"
+ S XWBTDEV=$P X "U XWBTDEV:(nowrap:nodelimiter:ioerror=""TRAP"")"
  S %="",@("%=$ZTRNLNM(""REMOTE_HOST"")") S:$L(%) IO("GTM-IP")=%
  G CONNTYPE
@@ -44,4 +44,5 @@
 ESET ;Set inital error trap
  S U="^",$ETRAP="D ^%ZTER H" ;Set up the error trap
+ S X="",@^%ZOSF("TRAP") ;Clear old trap
  Q
  ;Find the type of connection and jump to the processing routine.
@@ -155,5 +156,5 @@
  D ^%ZTER ;%ZTER clears $ZE and $ZCODE
  D LOG("In ETRAP: "_XWBERC) ;Log
- I (XWBERC["READ")!(XWBERC["WRITE")!(XWBERC["SYSTEM-F") D EXIT HALT
+ I (XWBERC["READ")!(XWBERC["WRITE")!(XWBERC["SYSTEM-F")!(XWBERC["IOEOF") D EXIT HALT
  U XWBTDEV
  I $G(XWBT("PCNT")) L ^XUTL("XUSYS",$J,0)
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCAPMC14.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCAPMC14.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCAPMC14.m	(revision 636)
@@ -1,4 +1,4 @@
 SCAPMC14 ;ALB/REW - Team API's: PTPR ; JUN 30, 1995
- ;;5.3;Scheduling;**41,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41**;AUG 13, 1993
  ;;1.0
 PTPR(SC200,SCDATES,SCPURPA,SCROLEA,SCLIST,SCERR,SCYESCL) ; -- list patients for a pract (scyescl NOT supported)
@@ -67,10 +67,7 @@
  .Q:'SCOK
  .Q:'SCYESCL
- .;S SC44=$P($G(^SCTM(404.57,+SCTP,0)),U,9)
- .;Q:'SC44
- .N CNAME,SC44
- .D SETASCL^SCRPRAC2(SCTP,.CNAME,.SC44)
- .N SCCNT S SCCNT=0
- .F  S SCCNT=$O(SC44(SCCNT)) Q:SCCNT=""  S SCOK=$$PTCL^SCAPMC(SC44(SCCNT),"SCDTPR",.SCLIST,.SCERR)
+ .S SC44=$P($G(^SCTM(404.57,+SCTP,0)),U,9)
+ .Q:'SC44
+ .S SCOK=$$PTCL^SCAPMC(SC44,"SCDTPR",.SCLIST,.SCERR)
 PRACQ Q $G(@SCERR@(0))<1
  ;
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCAPMC29.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCAPMC29.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCAPMC29.m	(revision 636)
@@ -1,4 +1,4 @@
 SCAPMC29 ;ALB/REW - TEAM APIs:CLPT  ; 2/17/00 1:33pm
- ;;5.3;Scheduling;**41,210,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41,210**;AUG 13, 1993
  ;;1.0
 CLPT(DFN,SCDATES,SCTEAMA,SCLIST,SCERR) ;clinics for patient
@@ -48,25 +48,25 @@
  .F SCX=1:1 S SCTP=+$G(SCPOSAX(SCX)) Q:'SCTP  S SCPOSA(SCTP)=""
  .S:$D(@SCTEAMA@("EXCLUDE")) SCPOSA("EXCLUDE")=""
- ;S SCX=0 F  S SCX=$O(^DPT(DFN,"DE",SCX)) Q:'SCX  D
- ;.S SC44=+$G(^DPT(DFN,"DE",SCX,0))
- ;.Q:'SC44
- ;.Q:'$$OKCLIN(SC44,.SCPOSA)
- ;.S SCCLNM=$P($G(^SC(SC44,0)),U,1)
- ;.S SCS=0 F  S SCS=$O(^DPT(DFN,"DE",SCX,1,SCS)) Q:'SCS  D
- ;..S SCND=$G(^DPT(DFN,"DE",SCX,1,SCS,0))
- ;..S SCACT=$P(SCND,U,1)
- ;..S SCINACT=$P(SCND,U,3)
- ;..Q:'$$DTCHK^SCAPU1(SCBEGIN,SCEND,SCINCL,SCACT,SCINACT)
- ;..S SCACOPT=$P(SCND,U,2)
- ;..S SCREVDT=$P(SCND,U,5)
- ;..S SCN=$G(@SCLIST@(0),0)+1
- ;..;bp/ar nois brx-1298-12323 prevent undefined variable error
- ;..;New code begins
- ;..Q:'SCACT
- ;..Q:'SCN
- ;.;End of brx-1298-12323
- ;..S @SCLIST@(0)=SCN
- ;..S @SCLIST@(SCN)=SC44_U_SCCLNM_U_SCACT_U_SCINACT_U_SCACOPT_U_SCREVDT
- ;..S @SCLIST@("SCCL",SC44,SCACT,SCN)=""
+ S SCX=0 F  S SCX=$O(^DPT(DFN,"DE",SCX)) Q:'SCX  D
+ .S SC44=+$G(^DPT(DFN,"DE",SCX,0))
+ .Q:'SC44
+ .Q:'$$OKCLIN(SC44,.SCPOSA)
+ .S SCCLNM=$P($G(^SC(SC44,0)),U,1)
+ .S SCS=0 F  S SCS=$O(^DPT(DFN,"DE",SCX,1,SCS)) Q:'SCS  D
+ ..S SCND=$G(^DPT(DFN,"DE",SCX,1,SCS,0))
+ ..S SCACT=$P(SCND,U,1)
+ ..S SCINACT=$P(SCND,U,3)
+ ..Q:'$$DTCHK^SCAPU1(SCBEGIN,SCEND,SCINCL,SCACT,SCINACT)
+ ..S SCACOPT=$P(SCND,U,2)
+ ..S SCREVDT=$P(SCND,U,5)
+ ..S SCN=$G(@SCLIST@(0),0)+1
+ ..;bp/ar nois brx-1298-12323 prevent undefined variable error
+ ..;New code begins
+ ..Q:'SCACT
+ ..Q:'SCN
+ ..;End of brx-1298-12323
+ ..S @SCLIST@(0)=SCN
+ ..S @SCLIST@(SCN)=SC44_U_SCCLNM_U_SCACT_U_SCINACT_U_SCACOPT_U_SCREVDT
+ ..S @SCLIST@("SCCL",SC44,SCACT,SCN)=""
 PTCLQ Q $G(@SCERR@(0))<1
  ;
@@ -75,5 +75,5 @@
  IF '$D(SCPOSA) S SCOK=1 G QTOKC
  S (SCOK,SCTP)=0
- F  S SCTP=$O(^SCTM(404.57,"E",+SC44,SCTP)) Q:'SCTP  S:$$OKARRAY^SCAPU1(.SCPOSA,SCTP) SCOK=1
+ F  S SCTP=$O(^SCTM(404.57,"D",+SC44,SCTP)) Q:'SCTP  S:$$OKARRAY^SCAPU1(.SCPOSA,SCTP) SCOK=1
 QTOKC Q SCOK
  ;
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCAPMC30.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCAPMC30.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCAPMC30.m	(revision 636)
@@ -1,4 +1,4 @@
 SCAPMC30 ;ALB/REW - TEAM APIs:TPCL  ; 30 Jun 95
- ;;5.3;Scheduling;**41,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41**;AUG 13, 1993
  ;;1.0
 TPCL(SC44,SCDATES,SCPOSA,SCUSRA,SCPURPA,SCROLEA,SCLIST,SCERR) ;  -- list of positions for a clinic
@@ -58,5 +58,5 @@
  S SCOK=1
  G:'$$OKDATA CLTPQ
- S SCTP=0 F  S SCTP=$O(^SCTM(404.57,"E",SC44,SCTP)) Q:'SCTP  D  Q:'SCOK
+ S SCTP=0 F  S SCTP=$O(^SCTM(404.57,"D",SC44,SCTP)) Q:'SCTP  D  Q:'SCOK
  .S SCTP0=$G(^SCTM(404.57,SCTP,0))
  .IF '$L(SCTP0) D
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCAPMC9.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCAPMC9.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCAPMC9.m	(revision 636)
@@ -1,4 +1,4 @@
 SCAPMC9 ;ALB/REW - Team API's:PRCL ; JUN 26, 1995
- ;;5.3;Scheduling;**41,112,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41,112**;AUG 13, 1993
  ;;1.0
 PRCL(SC44,SCDATES,SCPOSA,SCUSRA,SCROLEA,SCLIST,SCERR) ;-- list of practitioners for clinic
@@ -54,5 +54,5 @@
  ; -- loop through team positions
  S SCTP=0
- F  S SCTP=$O(^SCTM(404.57,"E",SC44,SCTP)) Q:SCTP=""  D
+ F  S SCTP=$O(^SCTM(404.57,"D",SC44,SCTP)) Q:SCTP=""  D
  .Q:'$$OKARRAY^SCAPU1(.SCPOSA,SCTP)
  .S SCND=$G(^SCTM(404.57,SCTP,0))
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCDD2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCMCDD2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCDD2.m	(revision 636)
@@ -1,4 +1,4 @@
 SCMCDD2 ;ALB/REW - DD Calls used by PCMM ; 27 March 1996
- ;;5.3;Scheduling;**41,107,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41,107**;AUG 13, 1993
  ;1
 USEPCDEF(SCCL) ;how should pc practitioner be used for clinic
@@ -24,5 +24,5 @@
  S SCOK=0
  S SCXTP=0
- F  S SCXTP=$O(^SCTM(404.57,"E",SCCL,SCXTP)) Q:('SCXTP)!(SCXTP=SCTP)  D
+ F  S SCXTP=$O(^SCTM(404.57,"D",SCCL,SCXTP)) Q:('SCXTP)!(SCXTP=SCTP)  D
  .I $P(^SCTM(404.57,SCXTP,0),U,2)'=SCTM Q
  .S SCOK=1
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCHLB1.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCMCHLB1.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCHLB1.m	(revision 636)
@@ -1,4 +1,4 @@
-SCMCHLB1 ;BPOI/DJB - PCMM HL7 Bld Segment Array Cont.;8/17/99
- ;;5.3;Scheduling;**177,515,524**;08/17/99;Build 29
+SCMCHLB1 ;BP/DJB - PCMM HL7 Bld Segment Array Cont. ; 8/17/99 9:29am
+ ;;5.3;Scheduling;**177,515**;May 01, 1999;Build 14
  ;
 SEGMENTS(DFN,SUB) ;Build EVN & PID segments
@@ -46,13 +46,13 @@
  ;   Array of ZPC segments
  ;
- NEW DATA,DATE,ID,ID1,LINETAG,SUB,TYPE,VAFZPC
+ NEW DATA,DATE,ID,ID1,LINETAG,NUM,TYPE,VAFZPC
  ;
- S SUB=0
- F  S SUB=$O(ARRAY(SUB)) Q:'SUB  D  ;
+ S NUM=0
+ F  S NUM=$O(ARRAY(NUM)) Q:'NUM  D  ;
  . S TYPE=""
- . F  S TYPE=$O(ARRAY(SUB,TYPE)) Q:TYPE=""  D  ;
+ . F  S TYPE=$O(ARRAY(NUM,TYPE)) Q:TYPE=""  D  ;
  .. S ID=""
- .. F  S ID=$O(ARRAY(SUB,TYPE,ID)) Q:ID=""  D  ;
- ... S DATA=$G(ARRAY(SUB,TYPE,ID))
+ .. F  S ID=$O(ARRAY(NUM,TYPE,ID)) Q:ID=""  D  ;
+ ... S DATA=$G(ARRAY(NUM,TYPE,ID))
  ... I $G(DELETE) S DATA="^^^" ;A Delete type ZPC segment
  ... E  D  ;....................A ZPC segment with data
@@ -74,6 +74,8 @@
  ....S DATA=DATA_"^"_ROLE
  ... ;
- ... D BLDZPC^SCMCHLS ;..Build segment ; og/sd/524
- ... D CPYZPC^SCMCHLS ;..Copy segment into array ; og/sd/524
+ ... S LINETAG="BLDZPC"
+ ... D @LINETAG^SCMCHLS ;..Build segment
+ ... S LINETAG="CPYZPC"
+ ... D @LINETAG^SCMCHLS ;..Copy segment into array
  Q
  ;
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCHLB2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCMCHLB2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCHLB2.m	(revision 636)
@@ -1,4 +1,4 @@
-SCMCHLB2 ;BPOI/DJB - PCMM HL7 Bld Segment Array Deletes;3/6/00
- ;;5.3;Scheduling;**177,204,210,224,524**;08/13/93;Build 29
+SCMCHLB2 ;BP/DJB - PCMM HL7 Bld Segment Array Deletes ; 3/6/00 8:41am
+ ;;5.3;Scheduling;**177,204,210,224**;AUG 13, 1993
  ;
 PTP ;Entry has been deleted from file 404.43. Send deletes to NPCD.
@@ -20,6 +20,5 @@
  S ID=PTPI_"-"
  F  S ID=$O(^SCPT(404.49,"B",ID)) Q:ID=""!($P(ID,"-",1)'=PTPI)  D  ;
- . N SUB  ; og/sd/524
- . S SUB=PTPI,DATA="^^^" ;........A Delete type ZPC segment
+ . S DATA="^^^" ;........A Delete type ZPC segment
  . ;djb/bp Patch 210. Eliminate indirection[rel 204]
  . D BLDZPC^SCMCHLS ;..Build segment (needs ID & DATA)
@@ -65,6 +64,5 @@
  .. S ID=""
  .. F  S ID=$O(@POS@(DFN,PTPI,ID)) Q:ID=""  D  ;djb/bp BIG-1199-71271
- ... N SUB  ; og/sd/524
- ... S SUB=PTPI,DATA="^^^" ;........A Delete type ZPC segment
+ ... S DATA="^^^" ;........A Delete type ZPC segment
  ... ;djb/bp Patch 210. Eliminate indirection[rel 204]
  ... D BLDZPC^SCMCHLS ;..Build segment (needs ID & DATA)
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCHLS.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCMCHLS.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCHLS.m	(revision 636)
@@ -1,4 +1,4 @@
-SCMCHLS ;BPOI/DJB - PCMM HL7 Segment Utils;12/13/99
- ;;5.3;Scheduling;**177,210,212,293,515,524**;08/13/93;Build 29
+SCMCHLS ;BP/DJB - PCMM HL7 Segment Utils ; 12/13/99 12:40pm
+ ;;5.3;Scheduling;**177,210,212,293,515**;AUG 13, 1993;Build 14
  ;
  ;Ref rtn: SCDXMSG1
@@ -37,5 +37,5 @@
  ; PATCH 515 DLL USE ORIG TRIG 
  ; old code = M @XMITARRY@($P(ID,"-",1),"ZPC",ID)=VAFZPC
- M @XMITARRY@(SUB,"ZPC",ID)=VAFZPC  ; og/sd/524
+ M @XMITARRY@(NUM,"ZPC",ID)=VAFZPC
  Q
  ;
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCMU2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCMCMU2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCMU2.m	(revision 636)
@@ -1,4 +1,4 @@
-SCMCMU2 ;ALBOI/MJK - PCMM Mass Team/Position Unassignment Processing;07/10/98
- ;;5.3;Scheduling;**148,177,524**;AUG 13, 1993;Build 29
+SCMCMU2 ;ALB/MJK - PCMM Mass Team/Position Unassignment Processing ; 10-JUL-1998
+ ;;5.3;Scheduling;**148,177**;AUG 13, 1993
  ;
 QUE() ; -- queue mass unassignment
@@ -169,6 +169,6 @@
  . ; -- if assignment date is in future then delete
  . IF SCASDT>DT,SCASDT>SCDATE D  Q
- . . N DA,DIE,DIK,DR
- . . S DA=SCIEN,(DIE,DIK)="^SCPT(404.43,",DR=".04///"_DT D ^DIE  ; og/sd/524
+ . . N DA,DIK
+ . . S DA=SCIEN,DIK="^SCPT(404.43,"
  . . D LOCK(SCNODE)
  . . D ^DIK
